> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fluents.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create call



## OpenAPI

````yaml /openapi.yml post /v1/calls/create
openapi: 3.0.0
info:
  title: Fluents Hosted API
  description: |2-

            Fluents' Hosted API helps you automate phone calls in minutes. 🚀

            ## Numbers

            You can buy phone lines and place agents on them.

            ## Calls

            You can start, end, and get information about calls.
            
  version: 1.0.0
  contact:
    name: Support
    url: https://fluents.com
    email: support@fluents.ai
servers:
  - url: https://api.fluents.ai
    description: Production
security:
  - bearer: []
tags: []
paths:
  /v1/calls/create:
    post:
      tags:
        - Calls
      operationId: CallController_createCall
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCallDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CallDto'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestError'
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundError'
components:
  schemas:
    CreateCallDto:
      type: object
      properties:
        human_detection_result:
          enum:
            - human
            - no_human
          type: string
          example: human
        do_not_call_result:
          type: boolean
          example: false
        telephony_id:
          type: string
          example: call_123
        telephony_metadata:
          type: object
        to_number:
          type: string
          example: '+1234567890'
        from_number:
          type: string
          example: '+0987654321'
        agent:
          type: object
        telephony_provider:
          type: object
          example: twilio
        agent_phone_number:
          type: string
          example: '+1234567890'
        hipaa_compliant:
          type: boolean
          example: false
        on_no_human_answer:
          enum:
            - continue
            - hangup
          type: string
          example: continue
        context:
          type: object
        run_do_not_call_detection:
          type: boolean
          example: true
        telephony_account_connection:
          type: object
        telephony_params:
          type: object
        is_outgoing:
          type: boolean
          example: true
      required:
        - to_number
        - from_number
        - agent
        - telephony_provider
        - agent_phone_number
        - context
        - telephony_params
    CallDto:
      type: object
      properties:
        id:
          type: string
          example: 550e8400-e29b-41d4-a716-446655440000
        user_id:
          type: string
          example: 550e8400-e29b-41d4-a716-446655440000
        status:
          enum:
            - not_started
            - in_progress
            - error
            - ended
          type: string
          example: in_progress
        error_message:
          type: string
          example: Call failed to connect
        recording_available:
          type: boolean
          example: true
        transcript:
          type: string
          example: Hello, this is a transcript
        human_detection_result:
          enum:
            - human
            - no_human
          type: string
          example: human
        do_not_call_result:
          type: boolean
          example: false
        telephony_id:
          type: string
          example: call_123
        stage:
          enum:
            - created
            - picked_up
            - transfer_started
            - transfer_successful
          type: string
          example: created
        stage_outcome:
          enum:
            - human_unanswered
            - call_did_not_connect
            - human_disconnected
            - bot_disconnected
            - transfer_unanswered
            - transfer_disconnected
          type: string
          example: human_unanswered
        telephony_metadata:
          type: object
        start_time:
          type: string
          example: '2023-01-01T00:00:00Z'
        end_time:
          type: string
          example: '2023-01-01T00:01:00Z'
        to_number:
          type: string
          example: '+1234567890'
        from_number:
          type: string
          example: '+0987654321'
        agent:
          type: object
        telephony_provider:
          type: object
          example: twilio
        agent_phone_number:
          type: string
          example: '+1234567890'
        hipaa_compliant:
          type: boolean
          example: false
        on_no_human_answer:
          enum:
            - continue
            - hangup
          type: string
          example: continue
        context:
          type: object
        run_do_not_call_detection:
          type: boolean
          example: true
        telephony_account_connection:
          type: object
        telephony_params:
          type: object
        is_outgoing:
          type: boolean
          example: true
        errors:
          example:
            - Error 1
            - Error 2
          type: array
          items:
            type: string
        action_history:
          example:
            - event_type: action_completed
              timestamp: '2025-03-26T06:10:33.560833+00:00'
              action_id: 51d82e68-b63a-4b85-b0de-7fd2c8b36c88
              action_type: action_external
              action_label: Book Appointment
              parameters:
                key: value
              result:
                json:
                  success: true
                http_status_code: 200
                error: null
          type: array
          items:
            type: object
      required:
        - id
        - user_id
        - to_number
        - from_number
        - agent
        - telephony_provider
        - agent_phone_number
        - context
        - telephony_params
        - action_history
    BadRequestError:
      type: object
      properties:
        message:
          type: string
        error:
          type: string
        statusCode:
          type: number
          example: 400
      required:
        - message
        - error
        - statusCode
    NotFoundError:
      type: object
      properties:
        message:
          type: string
        error:
          type: string
        statusCode:
          type: number
          example: 404
      required:
        - message
        - error
        - statusCode
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````